package com.sun.jmx.snmp.IPAcl;

import java.net.UnknownHostException;

class JDMNetMaskV6 extends JDMNetMask
{
    private static final long serialVersionUID = 4505256777680576645L;
    
    public JDMNetMaskV6(int n) {
        super(n);
    }
    
    public JDMNetMaskV6(Parser parser, int n) {
        super(parser, n);
    }
    
    @Override
    protected PrincipalImpl createAssociatedPrincipal() throws UnknownHostException {
        return new NetMaskImpl(this.address.toString(), Integer.parseInt(this.mask));
    }
}
